## org.biojava.bio.symbol
Class UkkonenSuffixTree.SuffixNode

    java.lang.Object
      org.biojava.bio.symbol.UkkonenSuffixTree.SuffixNode

Enclosing class:
  UkkonenSuffixTree

    public abstract static class UkkonenSuffixTree.SuffixNode

extends Object

end Tree modification methods

Constructor Summary
`UkkonenSuffixTree.SuffixNode()`

Method Summary
`abstract boolean` `hasChild(Character i)` Determine if this node has a child corresponding to a given character
`abstract boolean` `isTerminal()` Determine is this node is terminal (has no children).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UkkonenSuffixTree.SuffixNode

    public UkkonenSuffixTree.SuffixNode()

Method Detail

### isTerminal

    public abstract boolean isTerminal()

  Determine is this node is terminal (has no children).

  Note that this only happens at the terminated node (if the sequences have been terminated.

  Returns:
    `true` if and only if this node has no children.

### hasChild

    public abstract boolean hasChild(Character i)

  Determine if this node has a child corresponding to a given character

  Parameters:
    `i` - the first `Character` of the edge coming down this node.
  Returns:
    `true` if the node has a child going down from that character, false otherwise